Bumblebee 3.1 Released

optimus-primus-n-bumblebee-3.1The team behind the “The Bumblebee Project” have released Bumblebee 3.1 with experimental support for Primus, if you added the Bumblebee PPA from my previous posts you will have been automatically updated to 3.1.

I will go over the steps to install on Ubuntu again for people who need help

Add the Bumblebee repository

sudo add-apt-repository ppa:bumblebee/stable

Install the latest graphics drivers (optional but recommended)

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update

Install Bumblebee using the Nvidia drivers

sudo apt-get install bumblebee bumblebee-nvidia linux-headers-generic

Reboot and run glxspheres to make sure Bumblebee is installed correctly

optirun glxspheres

You can now Install Primus from the Bumblebee PPA

sudo apt-get install primus

If you are using a 64bit system install primus-libs-ia32:i386

sudo apt-get install primus-libs-ia32:i386

You can change the “bridge” option to “primus” in the “bumblebee.conf” etc/bumblebee/bumblebee.conf but this isn't recommended as there are still some incompatibilities with programs.

Your other option to use Primus is to run it directly from the Terminal.

optirun -b primus "program you want to run"

For other Linux Distros visit The Bumblebee Install Page

For More Information on Bumblebee http://bumblebee-project.org

For More information on Primus https://github.com/amonakov/primus

**UPDATE**
Lekensteyn Bumblebee dev has commented with the following information,

You are *encouraged* to try primus, but note that there *may* be some incompatibilities. If most of your programs run fine with primus, you can set Bridge=primus in /etc/bumblebee/bumblebee.conf. If some programs do not run with primus, you can override it and use virtualgl:

optirun -b virtualgl some-program

Please be kind, read documentation and do research before flooding the issue tracker with common issues including missing kernel headers and questions that ask how to install the latest nvidia drivers.

Thanks,
Peter (a.k.a. Lekensteyn)

Comments

  1. says

    You are *encouraged* to try primus, but note that there *may* be some incompatibilities. If most of your programs run fine with primus, you can set Bridge=primus in /etc/bumblebee/bumblebee.conf. If some programs do not run with primus, you can override it and use virtualgl:

    optirun -b virtualgl some-program

    Please be kind, read documentation and do research before flooding the issue tracker with common issues including missing kernel headers and questions that ask how to install the latest nvidia drivers.

    Thanks,
    Peter (a.k.a. Lekensteyn)

  2. says

    Wow, an up to date blog about Linux! More, again and again! I’ve collected OMGUbuntu, Webupdate, Upubuntu, Unixmen, Phoronix, and some others and I feel it is missing too many resource. I need more blogs!

    You are the one. Keep up to date! I have bookmarked your blog.

  3. t6590 says

    you dont know how much you’ve helped me…the ubuntu official take on optimus install was misguided, forum advise convoluted, but you did the job so simply thank you.

Leave a Reply